package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ FsProductModel = (*customFsProductModel)(nil)

type (
	// FsProductModel is an interface to be customized, add more methods here,
	// and implement the added methods in customFsProductModel.
	FsProductModel interface {
		fsProductModel
	}

	customFsProductModel struct {
		*defaultFsProductModel
	}
)

// NewFsProductModel returns a model for the database table.
func NewFsProductModel(conn sqlx.SqlConn) FsProductModel {
	return &customFsProductModel{
		defaultFsProductModel: newFsProductModel(conn),
	}
}
