package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ FsProductModel3dLightModel = (*customFsProductModel3dLightModel)(nil)

type (
	// FsProductModel3dLightModel is an interface to be customized, add more methods here,
	// and implement the added methods in customFsProductModel3dLightModel.
	FsProductModel3dLightModel interface {
		fsProductModel3dLightModel
	}

	customFsProductModel3dLightModel struct {
		*defaultFsProductModel3dLightModel
	}
)

// NewFsProductModel3dLightModel returns a model for the database table.
func NewFsProductModel3dLightModel(conn sqlx.SqlConn) FsProductModel3dLightModel {
	return &customFsProductModel3dLightModel{
		defaultFsProductModel3dLightModel: newFsProductModel3dLightModel(conn),
	}
}
